package com.example.demo.model.dto;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @author enlai.wang 16621134798
 * @date: 2022/5/26
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class NFTClassListDTO {

    /**
     * 游标
     */
    private Integer offset;

    /**
     * 每页数量
     */
    private Integer limit;

    /**
     * 总记录数
     */
    private Integer total_count;

    private List<NFTClassDTO> classes;
}
