package com.example.demo.util;

import java.util.UUID;

public class UUIDUtils {
public static String[] chars = new String[] {
		"a", "b", "c", "d", "e", "f", "g", "h", "i", "j", "k", "l", "m", "n", "o", "p", "q", "r", "s", "t", "u",

		"v", "w", "x", "y", "z", "0", "1", "2", "3", "4", "5", "6", "7", "8", "9", "A", "B", "C", "D", "E", "F",

		"G", "H", "I", "J", "K", "L", "M", "N", "O", "P", "Q", "R", "S", "T", "U", "V", "W", "X", "Y", "Z"

		};

	/**
	 * 獲取8位UUID
	 * @return
	 */
	public static String generateShortUuid() {
		return getUUID(8);
	}
	/**
	 * 獲取16位UUID
	 * @return
	 */
	public static String generateLongUuid() {
		return getUUID(16);
	}

	/**
	 *32位默认长度的uuid
	 * (获取32位uuid)
	 *
	 * @return
	 */
	public static  String getUUID()
	{
		return UUID.randomUUID().toString().replace("-", "");
	}

	/**
	 *
	 * (获取指定长度uuid)
	 *
	 * @return
	 */
	public static  String getUUID(int len)
	{
		if(0 >= len)
		{
			return null;
		}

		String uuid = getUUID();
		StringBuffer str = new StringBuffer();
		for (int i = 0; i < len; i++)
		{
			str.append(uuid.charAt(i));
		}
		return str.toString();
	}
}
