package com.example.demo.model.dto;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author enlai.wang 16621134798
 * @date: 2022/5/26
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class NFTClassDTO {
    /**
     * NFT类别ID
     */
    private String id;

    /**
     * NFT类别名称
     */
    private String name;

    /**
     * NFT类别标识
     */
    private String symbol;

    /**
     * NFT 类别包含的 NFT 总量
     */
    private Integer nft_count;

    /**
     * 链外数据连接
     */
    private String uri;

    /**
     * NFT类别权属者地址
     */
    private String owner;

    /**
     * 创建 NFT 类别的 Tx Hash
     */
    private String tx_hash;

    /**
     * 创建 NFT 类别的时间戳（UTC 时间）
     */
    private String timestamp;

}
