package com.example.demo.model.req;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author enlai.wang 16621134798
 * @date: 2022/5/26
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class AccReq {
    /**
     * 游标，默认0
     */
    private String offset;

    /**
     * 每页数量
     */
    private String limit;

    //链账户地址
    private String account;

    /**
     *创建日期范围 - 开始，yyyy-MM-dd（UTC 时间）
     */
    private String start_date;

    /**
     * 创建日期范围 - 结束，yyyy-MM-dd（UTC 时间）
     */
    private String end_date;

    /**
     * 排序规则：DATE_ASC / DATE_DESC
     */
    private String sort_by;

    /**
     * 操作 ID
     */
    private String operation_id;

    /**
     * 链账户名称，支持模糊查询
     */
    private String name;

}
